// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: reclosermodule/reclosermodule.proto

package openfmb.reclosermodule;

public interface RecloserStatusOrBuilder extends
    // @@protoc_insertion_point(interface_extends:reclosermodule.RecloserStatus)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the statusValue field is set.
   */
  boolean hasStatusValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The statusValue.
   */
  openfmb.commonmodule.StatusValue getStatusValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.StatusValueOrBuilder getStatusValueOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
   * @return Whether the statusAndEventXCBR field is set.
   */
  boolean hasStatusAndEventXCBR();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
   * @return The statusAndEventXCBR.
   */
  openfmb.commonmodule.StatusAndEventXCBR getStatusAndEventXCBR();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
   */
  openfmb.commonmodule.StatusAndEventXCBROrBuilder getStatusAndEventXCBROrBuilder();
}
